Subscribers logs

GET https://sitepush.de/api/subscribers-logs/
curl --request GET \
--url 'https://sitepush.de/api/subscribers-logs/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: ip.
type Optional String Allowed values: clicked_notification , closed_notification , displayed_notification , expired_deleted , manually_deleted , permission_denied , push_notification_sent , subscribed , unsubscribed
website_id Optional Integer
order_by Optional String What field to order the results by. Allowed values are: subscriber_log_id , datetime.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "subscriber_id": 1,
            "campaign_id": 0,
            "flow_id": 0,
            "personal_notification_id": 1,
            "website_id": 1,
            "user_id": 1,
            "ip": "123.123.123.123",
            "type": "clicked_notification",
            "datetime": "2026-03-01 17:35:19",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://sitepush.de/api/subscribers-logs?page=1",
        "last": "https://sitepush.de/api/subscribers-logs?page=1",
        "next": null,
        "prev": null,
        "self": "https://sitepush.de/api/subscribers-logs?page=1"
    }
}